---
- name: Ensure directory structure exists
  file:
    path: '{{ compose_directory }}/{{ item.path }}'
    state: directory
  with_filetree: "templates/compose/"
  when: item.state == 'directory'

- name: Ensure files are populated from templates
  template:
    src: '{{ item.src }}'
    dest: '{{ compose_directory }}/{{ item.path }}'
  with_filetree: "templates/compose/"
  when: item.state == 'file'

- name: create acme.json file if not exist
  copy:
    content: ""
    dest: "{{ compose_directory }}/conf/acme.json"
    force: no
    mode: '0600'

# 2023-10-07: docker_compose not compatible with compose v2 yet 
# - name: Start traefik
#   docker_compose:
#         project_src: "{{ compose_directory }}"

- name: Start traefik
  ansible.builtin.shell:
    cmd: docker compose up -d --force-recreate --build
    chdir: "{{ compose_directory }}"
